Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryComponent

All Superinterfaces:
  Document, Hierarchical, Item, Localized, WCMApiObject

All Known Subinterfaces:
  EditableLibraryComponent, LibraryAuthoringToolsComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent

    public interface LibraryComponent

extends Document, Hierarchical

The root interface in the Library Component hierarchy. `LibraryComponent` is an interface to mark a component that must be stored as a separate entity in the repository.

A Library Component refers to any component that can be stored in the Component Library as a separate entity in the repository. A `LibraryComponent` may be reused as opposed to a `ContentComponent` which must be attached to one specific object in the repository.

note: since `v6.0.0`, a `LibraryComponent` is referred to as a `"Component"`in the Authoring UI.``

See Also:
  `ContentComponent`

Method Summary

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD